//
// C++ Implementation: yawp
//
// Description:
//
//
// Author: Ruan <ruans@kr8.co.za>, (C) 2008
//
// Copyright: Do what you want, whenever you want.
//
//
#ifndef YAWP_CONFIG_H
#define YAWP_CONFIG_H


#include "ui_yawpconfigdialog.h"


class YaWP;

//-----------------------------------------------------------------------------
/** Configuration window.
	@author Ruan <ruans@kr8.co.za>
 */
class YaWPConfigDialog : public KDialog, public Ui::YaWPConfigDialog {
    Q_OBJECT
public:
    YaWPConfigDialog(YaWP * applet);
    ~YaWPConfigDialog();

    void setInterval(int inter);
    int interval() const;

    void setTheme(QString theme);
    QString theme() const;

    void setCity(QString city);
    QString city() const;

    void setCountry(QString country);
    QString country() const;

    void setUnits(int units);
    int units() const;

signals:
        void save();

protected slots:
    void buttonClicked( KDialog::ButtonCode button );
private:
    YaWP 	 *m_applet;
};

#endif //YAWP_CONFIG_H
